For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scopes

Find scopes

get

Returns all scopes.

Authorizations
AuthorizationstringRequired
Responses
200

The found scopes

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/scopes
GET /rest/2.0/scopes HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The found scopes

{
  "total": 1000,
  "offset": 10,
  "limit": 100,
  "results": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
      "createdOn": 1475503010320,
      "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
      "lastModifiedOn": 1476703764163,
      "system": true,
      "name": "Test name",
      "description": "Sample descripion of the resource.",
      "publicId": "\"Finance_C\"",
      "domains": [
        {
          "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
          "resourceDiscriminator": "Community",
          "name": "text"
        }
      ],
      "communities": [
        {
          "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
          "resourceDiscriminator": "Community",
          "name": "text"
        }
      ]
    }
  ]
}

Add scope

post

Adds a new scope.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new scope. Should be unique within all scopes.
It should have a format of universally unique identifier (UUID) and should not start with
00000000-0000-0000- which is a reserved prefix.

publicIdstring · min: 1 · max: 260Optional

The public id that will be assigned to the new Scope. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

namestring · min: 1 · max: 255Required

The name of the new scope

descriptionstring · max: 255Optional

The description of the new scope

domainIdsstring · uuid[]Optional

The list of IDs for domains assigned to the new scope

communityIdsstring · uuid[]Optional

The list of IDs for communities assigned to the new scope

Responses
201

Scope successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the scope.

Example: "Finance_C"
post/scopes
POST /rest/2.0/scopes HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 207

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "publicId": "text",
  "name": "text",
  "description": "text",
  "domainIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "communityIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"Finance_C\"",
  "domains": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ],
  "communities": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ]
}

Get scope

get

Returns scope identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
scopeIdstring · uuidRequired

The unique identifier of the scope.

Responses
200

The found scope

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the scope.

Example: "Finance_C"
get/scopes/{scopeId}
GET /rest/2.0/scopes/{scopeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The found scope

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"Finance_C\"",
  "domains": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ],
  "communities": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ]
}

Remove scope

delete

Removes scope identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
scopeIdstring · uuidRequired

the id of the scope

Responses
204

The scope has been successfully removed.

No content

delete/scopes/{scopeId}
DELETE /rest/2.0/scopes/{scopeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*

No content

Change scope

patch

Changes the scope with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
scopeIdstring · uuidRequired

the id of the scope to be changed

Body
publicIdstring · min: 1 · max: 260Optional

The new public id for the Scope. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

namestring · min: 1 · max: 255Optional

The new name for the scope

descriptionstring · max: 255Optional

The new description for the scope

domainIdsstring · uuid[]Optional

The new list of IDs of domains that should included in the scope

communityIdsstring · uuid[]Optional

The new list of IDs of communities that should included in the scope

Responses
200

The changed scope

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the scope.

Example: "Finance_C"
patch/scopes/{scopeId}
PATCH /rest/2.0/scopes/{scopeId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 163

{
  "publicId": "text",
  "name": "text",
  "description": "text",
  "domainIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "communityIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
200

The changed scope

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"Finance_C\"",
  "domains": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ],
  "communities": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ]
}

Get the scope by public id

get

Returns the scope identified by the given public id.

Authorizations
AuthorizationstringRequired
Path parameters
publicIdstringRequired

The public identifier of the scope.

Responses
200

The found scope

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the scope.

Example: "Finance_C"
get/scopes/publicId/{publicId}
GET /rest/2.0/scopes/publicId/{publicId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The found scope

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"Finance_C\"",
  "domains": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ],
  "communities": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ]
}

Last updated

Was this helpful?